Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingRestoreIndicesF90

restores the global indices for every local point that is mapped obtained with `ISLocalToGlobalMappingGetIndicesF90()`

## Synopsis

    ISLocalToGlobalMappingRestoreIndicesF90(ISLocalToGlobalMapping ltog, PetscInt, pointer :: array(:)}, integer ierr)

Not Collective

## Input Parameters

- A - the matrix

- array - array of indices, the length of this array may be obtained with `ISLocalToGlobalMappingGetSize()`

## See Also

Routines that Return Fortran Allocatable Arrays, Low-level Vector Communication, `ISLocalToGlobalMapping`, `ISLocalToGlobalMappingGetIndices()`, `ISLocalToGlobalMappingRestoreIndices()`, `ISLocalToGlobalMappingGetIndicesF90()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

## Examples

src/ksp/ksp/tutorials/ex14f.F90

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages